Package org.gradle.tooling

## Class ListenerFailedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.tooling.GradleConnectionException
        - - org.gradle.tooling.ListenerFailedException

- All Implemented Interfaces:
    `Serializable`

      public class ListenerFailedException
      extends GradleConnectionException

  Thrown whenever a listener fails with an exception, which in general implies that the build completed like it should, but that one of the listeners failed with an exception.
  Since:
    2.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ListenerFailedException​(String message, List<? extends Throwable> failures)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<? extends Throwable>` | `getCauses()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ListenerFailedException

          public ListenerFailedException​(String message,
                                         List<? extends Throwable> failures)

  - ### Method Detail

    - #### getCauses

          public List<? extends Throwable> getCauses()